<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'cas',

    /*
     * Package.
     */
    'package'   => 'agent',

    /*
     * Modules.
     */
    'modules'   => ['agent'],

    
    'agent'       => [
        'model' => [
            'model'                 => \Cas\Agent\Models\Agent::class,
            'table'                 => 'agents',
            'presenter'             => \Cas\Agent\Repositories\Presenter\AgentPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'email',  'password',  'api_token',  'remember_token',  'mobile',  'phone',  'address',  'country',  'photo',  'web',  'business_sector',  'secondary_email',  'secondary_phone',  'fax',  'po_box',  'skype_id',  'contact_fname',  'contact_lname',  'contact_email',  'contact_phone',  'contact_designation',  'contact_skypeid',  'payment_method',  'title',  'last_name',  'linkedin_url',  'cv',  'experience',  'permissions',  'status',  'email_verified_at',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'agent/agent',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cas',
            'package'   => 'Agent',
            'module'    => 'Agent',
        ],

    ],
];
