<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAgentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: agents
         */
        Schema::create('agents', function ($table) {
            $table->increments('id');
            $table->string('name', 100)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('password', 100)->nullable();
            $table->string('api_token', 60)->nullable();
            $table->string('remember_token', 255)->nullable();
            $table->string('mobile', 100)->nullable();
            $table->string('phone', 100)->nullable();
            $table->string('address', 255)->nullable();
            $table->integer('country')->nullable();
            $table->string('photo', 500)->nullable();
            $table->string('web', 100)->nullable();
            $table->string('business_sector', 255)->nullable();
            $table->string('secondary_email', 100)->nullable();
            $table->string('secondary_phone', 100)->nullable();
            $table->string('fax', 100)->nullable();
            $table->string('po_box', 100)->nullable();
            $table->string('skype_id', 255)->nullable();
            $table->string('contact_fname', 255)->nullable();
            $table->string('contact_lname', 100)->nullable();
            $table->string('contact_email', 100)->nullable();
            $table->string('contact_phone', 100)->nullable();
            $table->string('contact_designation', 255)->nullable();
            $table->string('contact_skypeid', 100)->nullable();
            $table->enum('payment_method', ['Credit Card','PayPal','Bank Transfer'])->nullable();
            $table->string('title', 100)->nullable();
            $table->string('last_name', 100)->nullable();
            $table->string('linkedin_url', 255)->nullable();
            $table->text('cv')->nullable();
            $table->text('experience')->nullable();
            $table->longText('permissions')->nullable();
            $table->enum('status', ['New','Active','Suspended','Locked'])->nullable();
            $table->dateTime('email_verified_at')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('agents');
    }
}
