<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for agent in agent package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  agent module in agent package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Agent',
    'names'         => 'Agents',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Agents',
        'sub'   => 'Agents',
        'list'  => 'List of agents',
        'edit'  => 'Edit agent',
        'create'    => 'Create new agent'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'payment_method'      => ['Credit Card','PayPal','Bank Transfer'],
            'status'              => ['New','Active','Suspended','Locked'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'password'                   => 'Please enter password',
        'api_token'                  => 'Please enter api token',
        'remember_token'             => 'Please enter remember token',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'address'                    => 'Please enter address',
        'country'                    => 'Please enter country',
        'photo'                      => 'Please enter photo',
        'web'                        => 'Please enter web',
        'business_sector'            => 'Please enter business sector',
        'secondary_email'            => 'Please enter secondary email',
        'secondary_phone'            => 'Please enter secondary phone',
        'fax'                        => 'Please enter fax',
        'po_box'                     => 'Please enter po box',
        'skype_id'                   => 'Please enter skype id',
        'contact_fname'              => 'Please enter contact fname',
        'contact_lname'              => 'Please enter contact lname',
        'contact_email'              => 'Please enter contact email',
        'contact_phone'              => 'Please enter contact phone',
        'contact_designation'        => 'Please enter contact designation',
        'contact_skypeid'            => 'Please enter contact skypeid',
        'payment_method'             => 'Please select payment method',
        'title'                      => 'Please enter title',
        'last_name'                  => 'Please enter last name',
        'linkedin_url'               => 'Please enter linkedin url',
        'cv'                         => 'Please enter cv',
        'experience'                 => 'Please enter experience',
        'permissions'                => 'Please enter permissions',
        'status'                     => 'Please select status',
        'email_verified_at'          => 'Please select email verified at',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'upload_folder'              => 'Please enter upload folder',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'password'                   => 'Password',
        'api_token'                  => 'Api token',
        'remember_token'             => 'Remember token',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'address'                    => 'Address',
        'country'                    => 'Country',
        'photo'                      => 'Photo',
        'web'                        => 'Web',
        'business_sector'            => 'Business sector',
        'secondary_email'            => 'Secondary email',
        'secondary_phone'            => 'Secondary phone',
        'fax'                        => 'Fax',
        'po_box'                     => 'Po box',
        'skype_id'                   => 'Skype id',
        'contact_fname'              => 'Contact fname',
        'contact_lname'              => 'Contact lname',
        'contact_email'              => 'Contact email',
        'contact_phone'              => 'Contact phone',
        'contact_designation'        => 'Contact designation',
        'contact_skypeid'            => 'Contact skypeid',
        'payment_method'             => 'Payment method',
        'title'                      => 'Title',
        'last_name'                  => 'Last name',
        'linkedin_url'               => 'Linkedin url',
        'cv'                         => 'Cv',
        'experience'                 => 'Experience',
        'permissions'                => 'Permissions',
        'status'                     => 'Status',
        'email_verified_at'          => 'Email verified at',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'upload_folder'              => 'Upload folder',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 2, 'checked'],
        'mobile'                     => ['name' => 'Mobile', 'data-column' => 3, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 4, 'checked'],
        'country'                    => ['name' => 'Country', 'data-column' => 5, 'checked'],
        'last_name'                  => ['name' => 'Last name', 'data-column' => 6, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Agents',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
