<?php

namespace Cas\Agent\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AgentTransformer extends TransformerAbstract
{
    public function transform(\Cas\Agent\Models\Agent $agent)
    {
        return [
            'id'                => $agent->getRouteKey(),
            'key'               => [
                'public'    => $agent->getPublicKey(),
                'route'     => $agent->getRouteKey(),
            ], 
            'id'                => $agent->id,
            'name'              => $agent->name,
            'email'             => $agent->email,
            'password'          => $agent->password,
            'api_token'         => $agent->api_token,
            'remember_token'    => $agent->remember_token,
            'mobile'            => $agent->mobile,
            'phone'             => $agent->phone,
            'address'           => $agent->address,
            'country'           => $agent->country,
            'photo'             => $agent->photo,
            'web'               => $agent->web,
            'business_sector'   => $agent->business_sector,
            'secondary_email'   => $agent->secondary_email,
            'secondary_phone'   => $agent->secondary_phone,
            'fax'               => $agent->fax,
            'po_box'            => $agent->po_box,
            'skype_id'          => $agent->skype_id,
            'contact_fname'     => $agent->contact_fname,
            'contact_lname'     => $agent->contact_lname,
            'contact_email'     => $agent->contact_email,
            'contact_phone'     => $agent->contact_phone,
            'contact_designation' => $agent->contact_designation,
            'contact_skypeid'   => $agent->contact_skypeid,
            'payment_method'    => $agent->payment_method,
            'title'             => $agent->title,
            'last_name'         => $agent->last_name,
            'linkedin_url'      => $agent->linkedin_url,
            'cv'                => $agent->cv,
            'experience'        => $agent->experience,
            'permissions'       => $agent->permissions,
            'status'            => $agent->status,
            'email_verified_at' => $agent->email_verified_at,
            'user_id'           => $agent->user_id,
            'user_type'         => $agent->user_type,
            'upload_folder'     => $agent->upload_folder,
            'deleted_at'        => $agent->deleted_at,
            'created_at'        => $agent->created_at,
            'updated_at'        => $agent->updated_at,
            'url'               => [
                'public'    => trans_url('agent/'.$agent->getPublicKey()),
                'user'      => guard_url('agent/agent/'.$agent->getRouteKey()),
            ], 
            'status'            => trans('app.'.$agent->status),
            'created_at'        => format_date($agent->created_at),
            'updated_at'        => format_date($agent->updated_at),
        ];
    }
}